import React, { useState, useEffect } from 'react';
import { Input, Menu, Dropdown, Button, Icon, message, Table, Divider, Tag, Select } from 'antd';
import { FormattedMessage } from 'umi-plugin-react/locale';
import channels from './channelList.less';
import router from 'umi/router';
import request from '../../utils/request'

const { Option } = Select;
function handleChange(value) {
  console.log(`selected ${value}`);
}


const menu = (
  <Menu onClick={handleMenuClick}>
    <Menu.Item key="1">
      <Icon type="user" />
      1st menu item
    </Menu.Item>
    <Menu.Item key="2">
      <Icon type="user" />
      2nd menu item
    </Menu.Item>
    <Menu.Item key="3">
      <Icon type="user" />
      3rd item
    </Menu.Item>
  </Menu>
);
// const dataSource = [
//   {
//     key: '1',
//     img: 'http://img0.imgtn.bdimg.com/it/u=4246326797,2657995307&fm=26&gp=0.jpg',
//     name: '123',
//     age: 32,
//     address: '西湖区湖底公园1号',
//   },
//   {
//     key: '2',
//     img: '',
//     age: 42,
//     address: '西湖区湖底公园1号',
//   },
// ];

const columns = [
  // {
  //   title: '商品图片',
  //   dataIndex: 'img',
  //   key: 'img',
  //   align: 'center',

  //   render: (text, record) => <img src={record.img} className={channels.touxiang} />,
  // },
  {
    title: '渠道代码',
    dataIndex: 'channelCode',
    key: 'channelCode',
    align: 'center',
    render: text => <a>{text}</a>,
  },
  {
    title: '渠道名称',
    dataIndex: 'channelName',
    key: 'channelName',
    align: 'center',
  },
  {
    title: '联系人',
    dataIndex: 'channelContact',
    key: 'channelContact',
    align: 'center',
  },
  {
    title: '联系电话',
    dataIndex: 'contactTel',
    key: 'contactTel',
    align: 'center',
  },
  {
    title: '经纪人数',
    dataIndex: 'agentsNum',
    key: 'agentsNum',
    align: 'center',
  },
  {
    title: '推荐客户有效',
    dataIndex: 'recommendEffective',
    key: 'recommendEffective',
    align: 'center',
  },
  {
    title: '邀请经济人',
    dataIndex: 'agentsInvite',
    key: 'agentsInvite',
    align: 'center',
    // render: () => <a>Delete</a>,
  },
  {
    title: '操作',
    dataIndex: '',
    key: '',
    align: 'center',
    render: () => <a style={ { color: '#66B3FF' } }>编辑</a>,
  },
];

// 跳转到编辑商品
function toEditGoods() {
  router.push({
    pathname: '/channel/addChannel',
    query: {
      a: 'b',
    },
  });
}

const header = props => {
  // eslint-disable-next-line react-hooks/rules-of-hooks
  const [data, setData] = useState({ records: [] })
//   const [page, changePage] = useState({})
  // eslint-disable-next-line react-hooks/rules-of-hooks
  useEffect(() => {
    request({
        url: '/api/admin/channel',
        method: 'GET',
        params: { pageNum: 1, pageSize: 10 },
    // eslint-disable-next-line no-shadow
    }).then(data => {
        console.log(data)
        setData(data)
    })
  }, [])

  return (
    <>
      <div className={channels.searchBox}>
        <dvi>
          <span className={channels.selectName}>渠道名称</span>
          <Select defaultValue="请选择" style={{ width: 180 }} onChange={handleChange}>
              {data.records.map(Item =>
                <Option value={ Item.channelId }> { Item.channelName } </Option>,
              )}
              {/* {listItems} */}
          </Select>

        </dvi>
        <Button className={channels.about} onClick={ header }>查询</Button>
      </div>
      <Button className={channels.addBtn} onClick={toEditGoods}>新增</Button>
      <Table dataSource={data.records} columns={columns} />
  </>
  )
}

function handleMenuClick(e) {
  message.info('Click on menu item.');
  console.log('click', e);
}

export default header
